org.activiti.engine.delegate.event.impl

## Class ActivitiEventImpl

- java.lang.Object
- - org.activiti.engine.delegate.event.impl.ActivitiEventImpl

- All Implemented Interfaces:
    ActivitiEvent
  Direct Known Subclasses:
    ActivitiActivityEventImpl, ActivitiEntityEventImpl, ActivitiEntityExceptionEventImpl, ActivitiMembershipEventImpl, ActivitiProcessCancelledEventImpl, ActivitiSequenceFlowTakenEventImpl, ActivitiVariableEventImpl

      public class ActivitiEventImpl
      extends Object
      implements ActivitiEvent

  Base class for all `ActivitiEvent` implementations.
  Author:
    Frederik Heremans

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `executionId`
    `protected String` | `processDefinitionId`
    `protected String` | `processInstanceId`
    `protected ActivitiEventType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivitiEventImpl(ActivitiEventType type)` Creates a new event implementation, not part of an execution context.
    `ActivitiEventImpl(ActivitiEventType type, String executionId, String processInstanceId, String processDefinitionId)` Creates a new event implementation, part of an execution context.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EngineServices` | `getEngineServices()`
    `String` | `getExecutionId()`
    `String` | `getProcessDefinitionId()`
    `String` | `getProcessInstanceId()`
    `ActivitiEventType` | `getType()`
    `void` | `setExecutionId(String executionId)`
    `void` | `setProcessDefinitionId(String processDefinitionId)`
    `void` | `setProcessInstanceId(String processInstanceId)`
    `void` | `setType(ActivitiEventType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected ActivitiEventType type

    - #### executionId

          protected String executionId

    - #### processInstanceId

          protected String processInstanceId

    - #### processDefinitionId

          protected String processDefinitionId

  - ### Constructor Detail

    - #### ActivitiEventImpl

          public ActivitiEventImpl(ActivitiEventType type)

      Creates a new event implementation, not part of an execution context.

    - #### ActivitiEventImpl

          public ActivitiEventImpl(ActivitiEventType type,
                                   String executionId,
                                   String processInstanceId,
                                   String processDefinitionId)

      Creates a new event implementation, part of an execution context.

  - ### Method Detail

    - #### getType

          public ActivitiEventType getType()

      Specified by:
        `getType` in interface `ActivitiEvent`
      Returns:
        type of event.

    - #### setType

          public void setType(ActivitiEventType type)

    - #### getExecutionId

          public String getExecutionId()

      Specified by:
        `getExecutionId` in interface `ActivitiEvent`
      Returns:
        the id of the execution this event is associated with. Returns null, if the event was not dispatched from within an active execution.

    - #### setExecutionId

          public void setExecutionId(String executionId)

    - #### getProcessDefinitionId

          public String getProcessDefinitionId()

      Specified by:
        `getProcessDefinitionId` in interface `ActivitiEvent`
      Returns:
        the id of the process definition this event is associated with. Returns null, if the event was not dispatched from within an active execution.

    - #### setProcessDefinitionId

          public void setProcessDefinitionId(String processDefinitionId)

    - #### getProcessInstanceId

          public String getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `ActivitiEvent`
      Returns:
        the id of the process instance this event is associated with. Returns null, if the event was not dispatched from within an active execution.

    - #### setProcessInstanceId

          public void setProcessInstanceId(String processInstanceId)

    - #### getEngineServices

          public EngineServices getEngineServices()

      Specified by:
        `getEngineServices` in interface `ActivitiEvent`
      Returns:
        the `EngineServices` associated to the engine this event originated from. Returns null, when not called from within a listener call or when no Activiti context is active.

Copyright © 2016 Alfresco. All rights reserved.